Anonymous Login
2019-02-22 13:30 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001158v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reporterproject_manager 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001158: email not sent for task reminder, bug fix 2.
DescriptionTask Reminder:
Queue Generation and processing works in 3.x but email is not generated/sent due to code bug:

in tasks\tasks.clss.php

public function remind($module, $type, $id, $owner, &$args) {
...
// contacts detemination does not work properly within getAssigned()
// $contacts = $this->getAssigned();
//----instead of: take code from w2p 2.3.1 -----------------------------------------
       // Grab the assignee list
       $q = new w2p_Database_Query;
        $q->addTable('user_tasks', 'ut');
        $q->addJoin('users', 'u', 'u.user_id = ut.user_id', 'inner');
        $q->addJoin('contacts', 'c', 'c.contact_id = u.user_contact', 'inner');
        $q->addQuery('c.contact_id, contact_first_name, contact_last_name, contact_email');
        $q->addWhere('ut.task_id = ' . (int)$id);
        $contacts = $q->loadHashList('contact_id');
        $q->clear();
//------------------------------------------------

Additional Information- w2p 2.3.1 dont use getAssigned()
- w2p 2.4, w2p 3.x use this function
- propably getAssigned() is called by others, so I didnt change the function itself.
- I know that other users run w2p 2.4 without this change and it works as well, that I dont understand, however with this modification it works safe.


TagsNo tags attached.
Attached Files

-Relationships
related to 0001156closedcaseydk Pending Requests email not sent for task reminder, bug fix 
+Relationships

+Notes

-Issue History
Date Modified Username Field Change
2012-07-02 08:06 project_manager New Issue
2012-07-29 10:14 caseydk Relationship added related to 0001156
2012-08-07 21:10 caseydk Status new => assigned
2012-08-07 21:10 caseydk Assigned To => caseydk
2012-09-17 21:16 caseydk Note Added: 0002653
2012-09-17 21:16 caseydk Status assigned => resolved
2012-09-17 21:16 caseydk Resolution open => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History